<?php
/**
* Access to the PHP DateTime class to reformat a time varaible for display.
*
* Syntax:
* {date_time time="2009-02-12 21:44:36" format="DateTime::RFC1123"} Outputs: Thu, 12 Feb 2009 21:44:36 -0600
*
* @param array $params
* @param Smarty $smarty
* @return string
*/
function smarty_function_date_time($params, &$smarty){
	if (empty ($params['time']))
		trigger_error ("[date_time] parameter 'time' cannot be empty", E_USER_NOTICE);
	if (empty ($params['format']))
		trigger_error ("[date_time] parameter 'format' cannot be empty", E_USER_NOTICE);

	$time=$params['time'];

	if (strstr ($params['format'], 'DateTime'))
		$format=constant($params['format']);
	else
		$format=$params['format'];

	$date_time=new DateTime ($time);

	return $date_time->format($format);
}
