<?php
/**
*
* Syntax:
*
* @param array $params
* @param Smarty $smarty
* @return string
*/
function smarty_function_time_since_human($params, &$smarty){
	if (empty ($params['start']))
		trigger_error ("[time_since_human] parameter 'start' cannot be empty", E_USER_NOTICE);

	$start=$params['start'];
	$end=$params['end'] ? $params['end'] : null;

	$start_time=new DateTime ($start);
	$end_time=new DateTime ($end);
	$diff=$start_time->diff ($end_time);

	$output="";

	if ($diff->y) {
		$output.=$diff->y.' Year';
		if ($diff->y > 1)
			$output.='s';
	}

	if ($diff->m) {
		if (!empty ($output))
			$output.=' ';
		$output.=$diff->m.' Month';
		if ($diff->m > 1)
			$output.='s';
	}

	if ($diff->d) {
		if (!empty ($output))
			$output.=' ';
		$output.=$diff->d.' Day';
		if ($diff->d > 1)
			$output.='s';
	}

	if ($diff->h && !$diff->y) {
		if (!empty ($output))
			$output.=' ';
		$output.=$diff->h.' Hour';
		if ($diff->h > 1)
			$output.='s';
	}

	if ($diff->i && !$diff->y && !$diff->m) {
		if (!empty ($output))
			$output.=' ';
		$output.=$diff->i.' Minute';
		if ($diff->i > 1)
			$output.='s';
	}

	if (empty ($output))
		return "<1 Minute";

	return $output;
}
