<?php
/**
* Combigns the CHtml::link and Yii::app()->createUrl methods to produce a
* html link.
* Additional parameters can be appended to the url with the 'params'
* option.
*
* Syntax:
* {yii_app_url label="Sample link label" route="site/test"}
* {yii_app_url label="Sample link label" route="site/test" params=$somearray}
* {yii_app_url label="Sample link label" route="site/test" params=$somearray htmloptions=$somehtmloptions}
*
* @see Yii::app()->createUrl.
* @see CHtml::link.
*
* @param array $params
* @param Smarty $smarty
* @return string
*/
function smarty_function_yii_app_link ($params, &$smarty) {
	if (empty ($params['route']) && empty ($params['params'])) {
	throw new CException(Yii::t('yiiext', "One of either the route or params arguments are required."));
	}

	$route = !empty ($params['route']) ? $params['route'] : null;
	if (is_array ($route)) {
	$additional=$route;
	$route=array_pop ($additional);
	} else {
	$additional = !empty ($params['params']) ? $params['params'] : array ();
	}
	$label = !empty ($params['label']) ? $params['label'] : $params['location'];
	$htmloptions = !empty ($params['htmloptions']) ? $params['htmloptions'] : null;

	return CHtml::link ($label, Yii::app ()->createUrl ($route, $additional), $htmloptions);
}